The Blazor [ProgressBar](https://www.syncfusion.com/blazor-components/blazor-progressbar/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget) is a control that indicates the progress of a task with customizable visuals. It includes features to visualize progress in rectangular and circular shapes, determinate and indeterminate states, segments, and customized ranges in different colors. It also supports animation.

## Key features

* [Types](https://blazor.syncfusion.com/demos/progress-bar/linear?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)
* [States](https://blazor.syncfusion.com/demos/progress-bar/circular?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)
* [Segments](https://blazor.syncfusion.com/demos/progress-bar/progress-segment?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)
* [Angle](https://blazor.syncfusion.com/demos/progress-bar/angle?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)
* [Custom content](https://blazor.syncfusion.com/demos/progress-bar/angle?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)
* Visualize multiple ranges
* Customization
	

## Related links
[Learn More about Blazor ProgressBar component](https://www.syncfusion.com/blazor-components/blazor-progressbar/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/progress-bar/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.46/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/progress-bar/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusions licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20ProgressBar%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-progress-bar-nuget) | Toll Free: 1-888-9 DOTNET

 Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.